View Issue Details

IDProjectCategoryView StatusLast Update
0025763LazarusLCLpublic2014-03-08 23:57
ReporterKatjaDAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSWindowsOS VersionWin7
Product VersionProduct BuildLazarus 1.0.14 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0025763: StringGrid sorting lost after update
DescriptionUsing TStringGrid.ColumnClickSorts works, but after an update of the strings
the columns will not be sorted again. I have to click on the header again.
(two times)

While trying to call the sorting routine after updating the grid, i had to
remark that the variable FSortColumn of TCustomGrid is private and not
published.

If it's not possible to automaticaly resort the grid after an update,
it would be nice to publish at least the property SortColumn.
Steps To Reproduce- Fill a StringGrid with unsorted strings
- Click on the header to sort the grid
- Fill the grid with other unsorted strings
==> The strings are not sorted
(even that the arrow on the header is stil there)
Additional InformationAfter Publishing the property SortColumn of TCustomGrid in the
unit Grids i had problems to compile that unit:
Unit Maps: Fatal: Can not find unit AvgLvlTree

After fixing that, i got:
Unit InterfaceBase: Can not find unit LCLProc

Now i gave up and reinstalled lazarus.
TagsNo tags attached.
Fixed in Revision44375
LazTarget1.4
Widgetset
Attached Files

Activities

Bart Broersma

2014-02-23 15:06

developer   ~0073234

How does this work in Delphi:
- What happens if I edit a cell in the affected column?
- What happens if i assign (a) new string(s) in code in the affected column?

Bart

Jesus Reyes

2014-03-08 05:47

developer   ~0073544

I don't think Delphi StringGrid has sorting capabilities, I might be wrong.

Anyway, I created a public SortColumn property, please test.

Issue History

Date Modified Username Field Change
2014-02-22 23:15 KatjaD New Issue
2014-02-22 23:21 Florian Project FPC => Lazarus
2014-02-23 15:06 Bart Broersma LazTarget => -
2014-02-23 15:06 Bart Broersma Note Added: 0073234
2014-02-23 15:06 Bart Broersma Status new => feedback
2014-03-08 05:45 Jesus Reyes Assigned To => Jesus Reyes
2014-03-08 05:45 Jesus Reyes Status feedback => assigned
2014-03-08 05:47 Jesus Reyes Fixed in Revision => 44375
2014-03-08 05:47 Jesus Reyes LazTarget - => 1.4
2014-03-08 05:47 Jesus Reyes Note Added: 0073544
2014-03-08 05:47 Jesus Reyes Status assigned => resolved
2014-03-08 05:47 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-03-08 05:47 Jesus Reyes Resolution open => fixed
2014-03-08 05:47 Jesus Reyes Target Version => 1.4